<div>
    <label >name:</label><input type="text" #myNameInputText>
    <button type="button" (click)="searchBookList(myNameInputText.value)">ค้นหา</button>
</div>
<div *ngFor="let book of booklist">
    {{book.isbn}} {{book.name}}
</div>
